%DFT    Berechne die diskrete Fourier-Transformation
%   DFT(Y) ist die diskrete Fourier Transformation des Vektors Y.
%
%   DFT verwendet nicht den FFT Algorithmus!
%
%   See also IDFT 

% Christian Stohrer, Universitaet Basel,FS 2011

function z = dft(y)

N = length(y);
indVec = 0:N-1;
indVec = reshape(indVec,size(y));

w = exp(2*pi*1i/N);

z = zeros(size(y));

for ind = 0:N-1
    z(ind+1) = z(ind+1) + sum(y(indVec+1).*w.^(-ind*indVec));
end

z = z/N;

end
